Bug 35389 - Hide 'Transfers to send' on circulation home page when stock rotation is disabled
Summary: Hide 'Transfers to send' on circulation home page when stock rotation is disa...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff interface (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 22569
Blocks:
  Show dependency treegraph
 
Reported: 2023-11-23 09:06 UTC by Marcel de Rooy
Modified: 2024-02-13 10:11 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Currently, Transfers to send (on circulation) is only relevant when you enable StockRotation. To lower confusion, we hide the option if you did not enable that pref.
Version(s) released in:
24.05.00,23.11.03


Attachments
Bug 35389: Hide 'Transfer to send' if StockRotation disabled (1.85 KB, patch)
2023-11-23 09:11 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 35389: Hide 'Transfer to send' if StockRotation disabled (1.88 KB, patch)
2024-01-11 08:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 35389: (QA follow-up) Update circ-nav too (1.32 KB, patch)
2024-01-19 09:55 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2023-11-23 09:06:02 UTC

    
Comment 1 Marcel de Rooy 2023-11-23 09:11:26 UTC
Created attachment 159204 [details] [review]
Bug 35389: Hide 'Transfer to send' if StockRotation disabled

Test plan:
Disable StockRotation pref. Check if report is hidden on circ home.
Enable. Check if report is visible.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2023-11-23 09:11:47 UTC
Very trivial: self SO
Comment 3 Martin Renvoize 2024-01-11 08:38:33 UTC
Created attachment 160816 [details] [review]
Bug 35389: Hide 'Transfer to send' if StockRotation disabled

Test plan:
Disable StockRotation pref. Check if report is hidden on circ home.
Enable. Check if report is visible.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2024-01-11 08:39:37 UTC
I was sure this was used outside of just Stock rotation, but I'm assured the report is always empty in that case.

We can pass this through and undo it if we get feeback to the contrary.
Comment 5 Katrin Fischer 2024-01-16 14:56:56 UTC
Please also update the circulation sidebar with the same preference check.
Comment 6 Marcel de Rooy 2024-01-19 09:55:51 UTC
Created attachment 161178 [details] [review]
Bug 35389: (QA follow-up) Update circ-nav too

As Katrin spotted, we need to not forget the sidebar menu.

Test plan:
Check if the item is visible/invisible on the sidebar menu of
Circulation. (Depending on StockRotation pref.)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2024-01-19 09:56:10 UTC
(In reply to Katrin Fischer from comment #5)
> Please also update the circulation sidebar with the same preference check.

Good catch. Fixed.
Comment 8 Katrin Fischer 2024-01-31 13:45:48 UTC
Pushed for 24.05!

Well done everyone, thank you!
Comment 9 Fridolin Somers 2024-02-13 10:11:54 UTC
Pushed to 23.11.x for 23.11.03